package com.sobot.moduletest;


import android.app.Activity;
import android.os.Bundle;
import android.widget.ImageView;

import com.sobot.network.http.HttpUtils;
import com.sobot.pictureframe.SobotBitmapUtil;
import com.sobot.utils.SobotLogUtils;

import java.util.HashMap;
import java.util.Map;

public class MainActivity extends Activity {

    private ImageView img;
    private ImageView img2;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        img = findViewById(R.id.img);
        SobotBitmapUtil.display(this, "https://sobot-test.oss-cn-beijing.aliyuncs.com/console/66a522ea3ef944a98af45bac09220861/kb/image/d19dafc0ccd941f3841f8f9858910157.png", img);
        img2 = findViewById(R.id.img2);
        SobotBitmapUtil.display(this, R.mipmap.ic_launcher, img2);

        Map<String ,String > map=new HashMap<>();
        map.put("appId","1c1da2c0aad047d7ba1d14ecd18ae4f6");
        HttpUtils.getInstance().doPost(this, "https://api.sobot.com/chat-sdk/sdk/user/v1/getCategoryList.action", map,null, new HttpUtils.StringCallBack() {
            @Override
            public void onResponse(String result) {
                SobotLogUtils.i(result);
            }

            @Override
            public void onError(Exception e, String msg, int responseCode) {

            }

            @Override
            public void inProgress(int progress) {

            }
        });
    }
}