package com.sobot.utils;

import android.content.Context;

/**
 * @Description: Sobot 工具类
 * @Author: znw
 * @Date: 2021/7/19 下午2:41
 * @Version: 1.0
 */
public class SobotUtils {

    /**
     * 工具类初始化
     *
     * @param context
     */
    public static void init(Context context) {
        if (context == null) {
            SobotLogUtils.e("SobotUtils init: context is null, please check!");
        } else {
            Context applicationContext = context.getApplicationContext();
            SobotGlobalContext.getInstance(applicationContext);
        }
    }

}